Bug 860059 - [abrt] python-2.7.3-7.2.fc17: gtk_text_line_segment_split: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: gtk_text_line_segment_split: Process /usr/bin/p...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rednotebook (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:57d1e9bec5e70b4881f9f9a1d76...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 15:43 EDT by Jeff Peeler
Modified: 2012-11-29 01:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 01:02:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.95 KB, text/plain)
2012-09-24 15:43 EDT, Jeff Peeler
no flags Details
File: environ (1.49 KB, text/plain)
2012-09-24 15:43 EDT, Jeff Peeler
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-24 15:43 EDT, Jeff Peeler
no flags Details
File: backtrace (41.97 KB, text/plain)
2012-09-24 15:43 EDT, Jeff Peeler
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-24 15:44 EDT, Jeff Peeler
no flags Details
File: maps (67.41 KB, text/plain)
2012-09-24 15:44 EDT, Jeff Peeler
no flags Details
File: dso_list (13.49 KB, text/plain)
2012-09-24 15:44 EDT, Jeff Peeler
no flags Details
File: var_log_messages (156 bytes, text/plain)
2012-09-24 15:44 EDT, Jeff Peeler
no flags Details
File: open_fds (770 bytes, text/plain)
2012-09-24 15:44 EDT, Jeff Peeler
no flags Details

  None (edit)
Description Jeff Peeler 2012-09-24 15:43:48 EDT
Description of problem:
Occurs immediately after clicking different dates on the calendar. Doesn't always happen, but does seem to be occurring more frequently. Most of the dates that are clicked on have text saved from previous sessions.

Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/rednotebook
crash_function: gtk_text_line_segment_split
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 gtk_text_line_segment_split at gtktextsegment.c
: #1 gtk_text_btree_link_segment at gtktextbtree.c
: #2 real_set_mark at gtktextbtree.c
: #3 _gtk_text_btree_select_range at gtktextbtree.c
: #4 gtk_text_buffer_select_range at gtktextbuffer.c
: #5 _wrap_gtk_text_buffer_select_range at gtk.c
: #6 PyObject_Call at /usr/src/debug/Python-2.7.3/Objects/abstract.c
: #7 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #8 PyObject_CallObject at /usr/src/debug/Python-2.7.3/Objects/abstract.c
: #9 _pyglib_handler_marshal at pyglib.c
Comment 1 Jeff Peeler 2012-09-24 15:43:51 EDT
Created attachment 616701 [details]
File: core_backtrace
Comment 2 Jeff Peeler 2012-09-24 15:43:53 EDT
Created attachment 616702 [details]
File: environ
Comment 3 Jeff Peeler 2012-09-24 15:43:56 EDT
Created attachment 616703 [details]
File: limits
Comment 4 Jeff Peeler 2012-09-24 15:43:58 EDT
Created attachment 616704 [details]
File: backtrace
Comment 5 Jeff Peeler 2012-09-24 15:44:00 EDT
Created attachment 616705 [details]
File: cgroup
Comment 6 Jeff Peeler 2012-09-24 15:44:02 EDT
Created attachment 616706 [details]
File: maps
Comment 7 Jeff Peeler 2012-09-24 15:44:03 EDT
Created attachment 616707 [details]
File: dso_list
Comment 8 Jeff Peeler 2012-09-24 15:44:06 EDT
Created attachment 616708 [details]
File: var_log_messages
Comment 9 Jeff Peeler 2012-09-24 15:44:08 EDT
Created attachment 616709 [details]
File: open_fds
Comment 10 Jeff Peeler 2012-09-24 15:48:15 EDT
I would think the component should be set to Rednotebook.
Comment 11 Fedora Update System 2012-11-15 15:00:58 EST
rednotebook-1.6.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rednotebook-1.6.1-1.fc18
Comment 12 Fedora Update System 2012-11-15 15:02:19 EST
rednotebook-1.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rednotebook-1.6.1-1.fc16
Comment 13 Fedora Update System 2012-11-15 15:04:16 EST
rednotebook-1.6.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rednotebook-1.6.1-1.fc17
Comment 14 Fedora Update System 2012-11-16 02:35:17 EST
Package rednotebook-1.6.1-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rednotebook-1.6.1-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18319/rednotebook-1.6.1-1.fc16
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-11-19 13:59:14 EST
rednotebook-1.6.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rednotebook-1.6.2-1.fc17
Comment 16 Fedora Update System 2012-11-19 13:59:34 EST
rednotebook-1.6.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rednotebook-1.6.2-1.fc16
Comment 17 Fedora Update System 2012-11-19 13:59:50 EST
rednotebook-1.6.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rednotebook-1.6.2-1.fc18
Comment 18 Fedora Update System 2012-11-29 01:02:53 EST
rednotebook-1.6.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2012-11-29 01:05:03 EST
rednotebook-1.6.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2012-11-29 01:48:18 EST
rednotebook-1.6.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.